=== debian/changelog ===
q-extras (1.0.0) unstable; urgency=low

  * Initial Release
  * Qt wrapper for Hildon notifications
  * Dynamic homescreen widget support
  * Convenient settings manager
  * Threading helper classes
  * And more!

 -- Timur Kristf <venemo@msn.com>  Wed, 01 Sep 2010 18:40:55 +0200
