=== debian/control ===
Source: q-extras
Priority: extra
Maintainer: unknown <Timur@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libdbus-1-dev, libhildonnotify-dev
Standards-Version: 3.7.3
Section: libs

Package: q-extras-dev
Section: libdevel
Architecture: all
Depends: q-extras (= ${binary:Version}), ${misc:Depends}
Description: This package contains the headers for Q-Extras.
 This package contains the headers for Q-Extras.

Package: q-extras
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of helpful Qt-based components.
 Library of helpful Qt-based components.
