=== debian/changelog ===
q-extras (1.0.1) unstable; urgency=low

  * Added .pc file for pkg-config
  * Removed .so binary from the -dev package

 -- Timur Kristf <venemo@msn.com>  Wed, 01 Sep 2010 21:03:22 +0200
