## q-extras 1.0.2

=== debian/changelog ===
q-extras (1.0.2) unstable; urgency=low

  * Fixed the .pc file

 -- Timur Kristf <venemo@msn.com>  Tue, 14 Sep 2010 00:48:22 +0200
