=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/q-extras
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
+	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/tmp" install
+	mkdir "debian/tmp/usr/lib/pkgconfig"
+	cp "$(CURDIR)/q-extras.pc" "$(CURDIR)/debian/tmp/usr/lib/pkgconfig/"
 
 
 # Build architecture-independent files here.
