## q-extras 1.0.3

=== debian/changelog ===
q-extras (1.0.3) unstable; urgency=low

  * Fixed the .pc file again

 -- Timur Kristf <venemo@msn.com>  Tue, 14 Sep 2010 01:31:22 +0200
