=== debian/changelog ===
q-extras (1.0.4) unstable; urgency=low

  * Several important fixes to the dynamic widget solution

 -- Timur Kristf <venemo@msn.com>  Wed, 13 Oct 2010 22:46:22 +0200
