=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: q-extras
 Priority: extra
 Maintainer: unknown <Timur@unknown>
-Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libdbus-1-dev, libhildonnotify-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libhildonnotify-dev
 Standards-Version: 3.7.3
 Section: libs
