=== debian/changelog ===
q-extras (1.0.5) unstable; urgency=low

  * Added dh_makeshlibs

 -- Timur Kristóf <venemo@msn.com>  Thu, 14 Oct 2010 22:46:22 +0200
