=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Package: q-extras-dev
 Section: libdevel
 Architecture: all
-Depends: q-extras (= ${binary:Version}), ${misc:Depends}
+Depends: q-extras (= ${binary:Version})
 Description: This package contains the headers for Q-Extras.
  This package contains the headers for Q-Extras.
 
 Package: q-extras
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: Library of helpful Qt-based components.
  Library of helpful Qt-based components.
