=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-#	dh_makeshlibs -a
+	dh_makeshlibs -a
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
